function init()

  --  Get location
  local loc = FindLocation("spawnpoint")
  local locLoad = FindLocation("load")  
  
  local locTrans = GetLocationTransform(loc)
  local locTransLoad = GetLocationTransform(locLoad)
  
  -- Get editor guide
  -- Make sure you have a version of you car model thats made all of glass to use as the Guide, check any of the vehicle's VOX files as a reference.

  local guide = FindShape("guide")
  
  -- Remove it
  Delete(guide)
  
  -- Predefined table of colors
  -- If you want to add more colors extend the list and 
  -- Add a new line with the RGB Value
  
  local colors =
  {
    {229, 73, 73},
    {68, 104, 173},
    {204, 188, 124},
	{ 137, 204, 124},
	{237, 168, 119},
	{188,119,237},
	{237,119,119},
	{119,237,209},
	{40,40,40},	
	{255,255,255},		
  }
  
      -- Predefined table of variants
	  -- If you wanna add more variants extend the list and 
	  -- Add a new line with the name of the object in Magicavoxel.
	  -- Check taskmaster script for examples
	  
  local variant =
  {

  }	

      -- Predefined table of logo's
	  -- To add more, just make the logo in Magicavoxel as a seperate object
	  -- And then, add it to the list.
	 
  local logo =	  
  {
	"logo_none",	-- Empty, no logo choice (Object in Magicavoxel named this, check Modern Van for more reference)
  }	  	  

    -- Choose a random trailer load.
	-- To add more loads, just make a group with various props in the editor
	-- Then convert to prefab, and add directory to table.
	-- These are default basic Loads i have made, located in the Spawn folder. You can check them out for reference using an Instance in the editor.
	
    local xmlLoad =
  {
	"MOD/Spawn/load_chairs.xml", 
	"MOD/Spawn/load_junk.xml",		
	"MOD/Spawn/load_safes.xml",		
	"", --This is the empty load so a truck may spawn without a load.
  }  
  
  -- Get random color
  local color = colors[math.random(1,#colors)]
  
  --  Get random load
  local loadToUse = xmlLoad[math.random(1,#xmlLoad)]
  
  -- Set colors from random color
  local r = color[1]/255
  local g = color[2]/255
  local b = color[3]/255
  
   --  Set load xml
  local loadUsed = loadToUse
  
  -- Create xml
local xml = -- This is where you place your trucks XML, you want to add a backslash after every line, and an apostrophe after the final line, check other lua files more for examples and implementation.

  -- Spawn the thing
  -- Extra spawn line for the Load.
  Spawn(loadUsed, locTransLoad)
  Spawn(xml, locTrans)
end