function init()

  -- get location
  local loc = FindLocation("spawnpoint")
  local locTrans = GetLocationTransform(loc)
  
  --get editor guide
  local guide = FindShape("guide")
  
  --remove it
  Delete(guide)
  
  -- predefined table
  -- If you wanna add more colors extend the list and 
  --add a new line with the RGB Value
  local colors =
  {
    {229, 73, 73},
    {68, 104, 173},
    {204, 188, 124},
	{ 137, 204, 124},
	{237, 168, 119},
	{188,119,237},
	{237,119,119},
	{119,237,209},
	{40,40,40},	
	{255,255,255},	
	{107,247,206},	
	{206, 169, 96},	
	{192, 33, 56},	
  }
  
      -- predefined table of variants
	  -- If you wanna add more variants extend the list and 
	  --add a new line with the name of the object in Magicavoxel.
	  
  -- get random color
  local color = colors[math.random(1,#colors)]
  
  -- set colors from random color
  local r = color[1]/255
  local g = color[2]/255
  local b = color[3]/255
  
  -- create xml
local xml = '\
		<vehicle name="Drab 75 (Green)" sound="small1 0.8" damping="1.5" topspeed="90" acceleration="6" strength="4" antiroll="0.2" difflock="0.2" steerassist="0.4" friction="1.8">  \
			<body pos="0 0.4 -0.15" dynamic="true"> \
				<vox pos="0.05 -0.3 0.15" rot="0.0 180.0 0.0" density="1.2" strength="2" file="MOD/vox/vehicle_salooncar.vox" object="body"> \
					<light pos="0.6 0.65 -2.10001" rot="0.0 -180.0 0.0" type="area" color="1 0.1 0.1" size="0.2 0.1" unshadowed="0.3" glare="0.2"/> \
					<light pos="0.75 0.75 -2.10001" rot="0.0 -180.0 0.0" type="area" size="0.1 0.1" unshadowed="0.3"/> \
					<light pos="-0.65 0.75 -2.10001" rot="0.0 -180.0 0.0" type="area" size="0.1 0.1" unshadowed="0.3"/> \
					<light pos="-0.5 0.65 -2.10001" rot="0.0 -180.0 0.0" type="area" color="1 0.1 0.1" size="0.2 0.1" unshadowed="0.3" glare="0.2"/> \
					<light pos="-0.5 0.55 2.1" rot="0.0 0.0 0.0" type="cone" color="1 0.9 0.8" scale="20" penumbra="30" unshadowed="0.2" glare="0.3"/> \
					<light pos="0.6 0.55 2.1" rot="0.0 0.0 0.0" type="cone" color="1 0.9 0.8" scale="20" penumbra="30" unshadowed="0.2" glare="0.3"/> \
					<location tags="exhaust" pos="-0.35 0.2 -2.45"/> \
					<location tags="vital" pos="0.05 0.55 1.35"/> \
					<location tags="player" pos="0.35 1.1 0.0"/> \
					<voxbox pos="0.9 0.2 2.1" rot="0.0 -180.0 0.0" size="17 11 43" texture="5 0.3" brush="MOD/Vox/vehicle_salooncar.vox" object="Saloon Accents" color="'..r..' '..g..' '..b..'"/> \
				</vox> \
				<wheel name="fr" pos="0.65 -0.1 -1.15" steer="1"> \
					<vox pos="0.1 -0.3 0" file="MOD/vox/vehicle_salooncar.vox" object="wheel_fr"/> \
				</wheel> \
				<wheel name="fl" pos="-0.65 -0.1 -1.15" steer="1"> \
					<vox pos="-0.1 -0.3 0.0" file="MOD/vox/vehicle_salooncar.vox" object="wheel_fl"/> \
				</wheel> \
				<wheel name="br" pos="0.65 -0.1 1.45" drive="1"> \
					<vox pos="0.1 -0.3 0" file="MOD/vox/vehicle_salooncar.vox" object="wheel_br"/> \
				</wheel> \
				<wheel name="bl" pos="-0.65 -0.1 1.45" drive="1"> \
					<vox pos="-0.1 -0.3 0" file="MOD/vox/vehicle_salooncar.vox" object="wheel_bl"/> \
				</wheel> \
			</body> \
		</vehicle>'
  -- spawn the thing
  Spawn(xml, locTrans)
end