function init()

  -- get location
  local loc = FindLocation("spawnpoint")
  local locTrans = GetLocationTransform(loc)
  
  --get editor guide
  local guide = FindShape("guide")
  
  --remove it
  Delete(guide)
  
  -- predefined table
  -- If you wanna add more colors extend the list and 
  --add a new line with the RGB Value
  local colors =
  {
    {229, 73, 73},
    {68, 104, 173},
    {204, 188, 124},
	{ 137, 204, 124},
	{237, 168, 119},
	{188,119,237},
	{237,119,119},
	{119,237,209},
	{40,40,40},	
	{255,255,255},	
	{107,247,206},	
	{206, 169, 96},	
	{192, 33, 56},	
  }
  
      -- predefined table of variants
	  -- If you wanna add more variants extend the list and 
	  --add a new line with the name of the object in Magicavoxel.
	  
  -- get random color
  local color = colors[math.random(1,#colors)]
  
  -- set colors from random color
  local r = color[1]/255
  local g = color[2]/255
  local b = color[3]/255
  
  -- create xml
local xml = '\
			<vehicle name="Eurus IV XXF" sound="sportscar" spring="1.2" topspeed="120" acceleration="12" strength="8" antiroll="0.1" difflock="0.1" steerassist="0.3" friction="1.9"> \ \
				<body pos="-0.05 0.35 0.25" dynamic="true"> \ \
					<vox pos="-0.05 -0.15 -0.25" rot="0.0 180.0 0.0" density="2" strength="2" file="MOD/vox/vehicle_sportscar.vox" object="body"> \ \
						<light pos="0.7 0.35 2.0" rot="0.0 0.0 0.0" type="cone" color="1 0.9 0.8" scale="20" angle="50" penumbra="15" unshadowed="0.2" glare="0.4"/> \ \
						<light pos="-0.6 0.35 2.0" rot="0.0 0.0 0.0" type="cone" color="1 0.9 0.8" scale="20" angle="50" penumbra="15" unshadowed="0.2" glare="0.4"/> \ \
						<light pos="0.4 0.55 -2.00001" rot="0.0 -180.0 0.0" type="area" size="0.2 0.1" unshadowed="0.3"/> \ \
						<light pos="-0.3 0.55 -2.00001" rot="0.0 -180.0 0.0" type="area" size="0.2 0.1" unshadowed="0.3"/> \  \
						<light pos="0.6 0.55 -2.00001" rot="0.0 -180.0 0.0" type="area" color="1 0.1 0.1" size="0.2 0.1" unshadowed="0.2" glare="0.2"/> \ \
						<light pos="-0.5 0.55 -2.00001" rot="0.0 -180.0 0.0" type="area" color="1 0.1 0.1" size="0.2 0.1" unshadowed="0.2" glare="0.2"/> \ \
						<location tags="exhaust" pos="0.5 0.1 -2.00001" rot="0.0 -180.0 0.0"/> \
						<location tags="vital" pos="0.05 0.55 -1.30001" rot="0.0 -180.0 0.0"/> \
						<location tags="player" pos="0.4 0.75 0.25" rot="0.0 -180.0 0.0"/> \
						<voxbox pos="1.0 0.0 2.3" rot="0.0 -180.0 0.0" size="19 10 44" brush="MOD/vox/vehicle_sportscar.vox" color="'..r..' '..g..' '..b..'"object="Sports - Accents"/> \
					</vox> \
					<wheel name="fr" pos="0.55 0.0 -1.5" drive="1" steer="0.7"> \
						<vox pos="0.1 -0.35 0.05" file="MOD/vox/vehicle_sportscar.vox" object="wheel_fr"/> \
					</wheel> \
					<wheel name="fl" pos="-0.75 0.0 -1.5" drive="1" steer="0.7"> \
						<vox pos="-0.2 -0.35 0.05" file="MOD/vox/vehicle_sportscar.vox" object="wheel_fl"/> \
					</wheel> \
					<wheel name="br" pos="0.55 0.0 1.1" drive="1"> \
						<vox pos="0.1 -0.35 0.05" file="MOD/vox/vehicle_sportscar.vox" object="wheel_br"/> \
					</wheel> \
					<wheel name="bl" pos="-0.75 0.0 1.1" drive="1"> \
						<vox pos="-0.2 -0.35 0.05" file="MOD/vox/vehicle_sportscar.vox" object="wheel_bl"/> \
					</wheel> \
				</body> \
			</vehicle> \ ' 
  -- spawn the thing
  Spawn(xml, locTrans)
end