function init()

  -- get location
  local loc = FindLocation("spawnpoint")
  local locTrans = GetLocationTransform(loc)
  
  --get editor guide
  local guide = FindShape("guide")
  
  --remove it
  Delete(guide)
  
  -- predefined table
  -- If you wanna add more colors extend the list and 
  --add a new line with the RGB Value
  local colors =
  {
    {229, 73, 73},
    {68, 104, 173},
    {204, 188, 124},
	{ 137, 204, 124},
	{237, 168, 119},
	{188,119,237},
	{237,119,119},
	{119,237,209},
	{40,40,40},	
	{255,255,255},	
	{107,247,206},	
	{206, 169, 96},	
	{192, 33, 56},	
  }
  
      -- predefined table of variants
	  -- If you wanna add more variants extend the list and 
	  --add a new line with the name of the object in Magicavoxel.
	  
  local variant =
  {
	"Taskmaster Accents Tarp",
	"Taskmaster Accents",	
  }
  
  -- get random color
  local color = colors[math.random(1,#colors)]
  
    -- get random variant
  local version = variant[math.random(1,#variant)]
  
  -- set colors from random color
  local r = color[1]/255
  local g = color[2]/255
  local b = color[3]/255
  
    --set object
  local object = version
  
  -- create xml
local xml = '\
		<vehicle name="Taskmaster 4WD" sound="pickup" spring="0.6" damping="0.8" topspeed="75" acceleration="5" strength="5" antiroll="0.4" steerassist="0.5"> \
			<body pos="-0.15 0.6 -0.5" dynamic="true"> \
				<vox pos="-0.05 -0.3 0.6" density="1.5" texture="5 0.5" blendtexture="3 0.5" strength="4" file="MOD/vox/vehicle_taskmaster.vox" object="'..object..'"> \
					<light pos="-0.7 0.75 -2.6" rot="0 180 0" type="cone" color="1 0.9 0.8" scale="25" penumbra="30" unshadowed="0.2" glare="0.35"/> \
					<light pos="0.8 0.75 -2.6" rot="0 180 0" type="cone" color="1 0.9 0.8" scale="25" penumbra="30" unshadowed="0.2" glare="0.35"/> \
					<light pos="0.8 0.75 2.5" type="area" color="1 0.1 0.1" scale="2" size="0.2 0.1" unshadowed="0.2" glare="0.2"/> \
					<light pos="-0.7 0.75 2.5" type="area" color="1 0.1 0.1" scale="2" size="0.2 0.1" unshadowed="0.2" glare="0.2"/> \
					<light pos="0.85 0.65 2.5" type="area" scale="4" size="0.1 0.1" unshadowed="0.2"/> \
					<light pos="-0.75 0.65 2.5" type="area" scale="4" size="0.1 0.1" unshadowed="0.2"/> \
					<location tags="exhaust" pos="-0.45 0.1 2.35"/> \
					<location tags="vital" pos="0.05 0.7 -1.55"/> \
					<location tags="player" pos="-0.4 1.3 -0.05"/>\
					<voxbox pos="1.0 0.2 2.6" rot="0.0 180.0 0.0" size="19 14 53" texture="5 0.3" brush="MOD/Vox/vehicle_taskmaster.vox" object="body" color="'..r..' '..g..' '..b..'"/> \
				</vox> \
				<wheel name="bl" pos="-0.75 -0.15 2.05" drive="1" travel="-0.2 0.1"> \
					<vox pos="-0.1 -0.45 0.05" file="MOD/vox/vehicle_taskmaster.vox" object="wheel_bl"/> \
				</wheel> \
				<wheel name="br" pos="0.75 -0.15 2.05" drive="1" travel="-0.2 0.1"> \
					<vox pos="0.1 -0.45 0.05" file="MOD/vox/vehicle_taskmaster.vox" object="wheel_br"/> \
				</wheel> \
				<wheel name="fl" pos="-0.75 -0.15 -1.15" drive="1" steer="1" travel="-0.2 0.1"> \
					<vox pos="-0.1 -0.45 0.05" file="MOD/vox/vehicle_taskmaster.vox" object="wheel_fl"/> \
				</wheel> \
				<wheel name="fr" pos="0.75 -0.15 -1.15" drive="1" steer="1" travel="-0.2 0.1"> \
					<vox pos="0.1 -0.45 0.05" file="MOD/vox/vehicle_taskmaster.vox" object="wheel_fr"/> \
				</wheel> \
			</body> \
		</vehicle> '
  -- spawn the thing
  Spawn(xml, locTrans)
end