function init()

  -- get location
  local loc = FindLocation("spawnpoint")
  local locLoad = FindLocation("load")  
  
  local locTrans = GetLocationTransform(loc)
  local locTransLoad = GetLocationTransform(locLoad)
  
  --get editor guide
  local guide = FindShape("guide")
  
  --remove it
  Delete(guide)
  
  -- predefined table
  -- If you wanna add more colors extend the list and 
  --add a new line with the RGB Value
  local colors =
  {
    {229, 73, 73},
    {68, 104, 173},
    {204, 188, 124},
	{ 137, 204, 124},
	{237, 168, 119},
	{188,119,237},
	{237,119,119},
	{119,237,209},
	{40,40,40},	
	{255,255,255},	
	{107,247,206},	
	{206, 169, 96},	
	{192, 33, 56},	
  }
  
      -- predefined table of variants
	  -- If you wanna add more variants extend the list and 
	  --add a new line with the name of the object in Magicavoxel.
	  
local variant =
  {
  }	  
	  
  -- get random color
  local color = colors[math.random(1,#colors)]
  
  
  -- Choose a random VOX File to use as the trailer.
    local voxfile =
  {
	"MOD/Vox/vehicle_semitruck-eu.vox",
	"MOD/Vox/vehicle_safecomp_trailer.vox",	
	"MOD/Vox/vehicle_flatbed_trailer.vox",	
	"MOD/Vox/vehicle_electrans_trailer.vox",		
	"MOD/Vox/vehicle_babbage_trailer.vox",			
	"MOD/Vox/vehicle_foals_trailer.vox",			
  }
  
    -- Choose a random trailer load.
	-- To add more loads, just make a group with various props in the editor
	-- Then convert to prefab, and add directory to table.
	
    local xmlLoad =
  {
	"MOD/Spawn/load_chairs.xml",
	"MOD/Spawn/load_junk.xml",		
	"MOD/Spawn/load_safes.xml",		
	"", --This is the empty load so a truck may spawn without a load.
  }  

  -- set colors from random color
  local r = color[1]/255
  local g = color[2]/255
  local b = color[3]/255
  
          -- get random file
  local voxVersion = voxfile[math.random(1,#voxfile)]
 
            -- get random load
  local loadToUse = xmlLoad[math.random(1,#xmlLoad)]
 
      -- set file
  local fileUsed = voxVersion
  
        -- set load xml
  local loadUsed = loadToUse
  
  -- create xml
local xml = '\
		<vehicle name="Scania R Series" tags="reversebeep" rot="0.0 0.0 0.0" driven="false" sound="semitruck2" spring="0.9" damping="0.7" topspeed="70" acceleration="3" strength="5" antispin="1" antiroll="0.6" difflock="0.5" steerassist=".5">\
			<body pos="0.0 0.55 -0.3" rot="0.0 0.0 0.0" dynamic="true">\
				<vox pos="0.05 -0.25 0.4" rot="180.0 0.0 180.0" density="2" strength="2" file="MOD/Vox/vehicle_semitruck-eu.vox" object="accents">\
					<light pos="-0.8 0.6 2.6" rot="0.0 0.0 0.0" type="cone" color="1 .9 .8" scale="30" angle="90" penumbra="30" size="0.1" unshadowed="0.2" glare="0.4"/>\
					<light pos="0.9 0.6 2.6" rot="0.0 0.0 0.0" type="cone" color="1 .9 .8" scale="30" angle="90" penumbra="30" size="0.1" unshadowed="0.2" glare="0.4"/>\
					<location tags="player" pos="0.45 2.35 1.7" rot="0.0 0.0 0.0"/>\
					<voxbox pos="1.2 0.5 2.7" rot="0.0 -180.0 0.0" size="23 32 24" brush="MOD/Vox/vehicle_semitruck-eu.vox" object="body" color="'..r..' '..g..' '..b..'"/> \
				</vox>\
				<group pos="0.15 0.45 -0.4">\
					<wheel name="br2" pos="0.2 -0.55 2.85" drive="1" travel="-0.1 0.1">\
						<vox pos="0.4 -0.45 -0.05" rot="0.0 -180.0 0.0" file="MOD/Vox/vehicle_semitruck-eu.vox" object="wheel_br"/>\
					</wheel>\
					<wheel name="bl1" pos="-0.5 -0.55 2.85" drive="1" travel="-0.1 0.1">\
						<vox pos="-0.3 -0.45 -0.05" rot="0.0 -180.0 0.0" file="MOD/Vox/vehicle_semitruck-eu.vox" object="wheel_bl"/>\
					</wheel>\
					<wheel name="fl" pos="-0.9 -0.55 -0.55" steer="1" travel="-0.1 0.1">\
						<vox pos="-0.1 -0.45 -0.05" rot="0.0 -180.0 0.0" file="MOD/Vox/vehicle_semitruck-eu.vox" object="wheel_fl"/>\
					</wheel>\
					<wheel name="fr" pos="0.6 -0.55 -0.55" rot="0.0 0.0 0.0" steer="1" travel="-0.1 0.1">\
						<vox pos="0.2 -0.45 -0.05" rot="0 180 0" file="MOD/Vox/vehicle_semitruck-eu.vox" object="wheel_fr"/>\
					</wheel>\
				</group>\
			</body>\
			<location tags="vital" pos="0.0 1.2 -1.95" rot="-90.0 0.0 0.0"/>\
			<location tags="camera" pos="0.0 2.0 -0.4" rot="-90.0 0.0 0.0"/>\
			<location tags="exhaust=2" pos="-1.15 0.4 0.2" rot="0.0 -30.0 0.0"/>\
			<location tags="exhaust=2" pos="1.15 0.4 0.2" rot="0.0 30.0 0.0"/>\
			<body pos="0.05 0.85 5.8" dynamic="true">\
				<vox pos="0.0 -0.55 0.0" texture="1 0.8" rot="0 180 0" file="'..fileUsed..'" object="trailer">\
					<joint pos="0.05 0.7 4.2" rot="-90.0 90.0 0.0" type="hinge" rotstrength="0" rotspring="0" collide="false" limits="-100 100"/>\
					<light pos="0.85 0.5 -5.6" rot="0.0 180.0 0.0" type="area" color="1 .1 .1" size="0.3 0.2" unshadowed="0.2" glare="0.2"/>\
					<light pos="-0.75 0.5 -5.6" rot="0.0 180.0 0.0" type="area" color="1 .1 .1" size="0.3 0.2" unshadowed="0.2" glare="0.2"/>\
				</vox>\
				<wheel pos="-0.4 -0.4 2.35" travel="-0.1 0.1">\
					<vox pos="-0.3 -0.45 -0.05" rot="0.0 -180.0 0.0" file="MOD/Vox/vehicle_semitruck-eu.vox" object="wheel_bl"/>\
				</wheel>\
				<wheel pos="-0.4 -0.4 3.55" travel="-0.1 0.1">\
					<vox pos="-0.3 -0.45 -0.05" rot="0.0 -180.0 0.0" file="MOD/Vox/vehicle_semitruck-eu.vox" object="wheel_bl"/>\
				</wheel>\
				<wheel pos="0.3 -0.4 3.45" travel="-0.1 0.1">\
					<vox pos="0.4 -0.45 -0.05" rot="0.0 -180.0 0.0" file="MOD/Vox/vehicle_semitruck-eu.vox" object="wheel_br"/>\
				</wheel>\
				<wheel pos="0.3 -0.4 2.35" rot="0.0 0.0 0.0" travel="-0.1 0.1">\
					<vox pos="0.4 -0.45 -0.05" rot="0.0 -180.0 0.0" file="MOD/Vox/vehicle_semitruck-eu.vox" object="wheel_br"/>\
				</wheel>\
			</body>\
		</vehicle> '
  -- spawn the thing
  
  Spawn(loadUsed, locTransLoad)
  Spawn(xml, locTrans)
  
end