function init()

  -- get location
  local loc = FindLocation("spawnpoint")
  local locTrans = GetLocationTransform(loc)
  
  --get editor guide
  local guide = FindShape("guide")
  
  --remove it
  Delete(guide)
  
  -- predefined table
  -- If you wanna add more colors extend the list and 
  --add a new line with the RGB Value
  local colors =
  {
    {229, 73, 73},
    {68, 104, 173},
    {204, 188, 124},
	{ 137, 204, 124},
	{237, 168, 119},
	{188,119,237},
	{237,119,119},
	{119,237,209},
	{40,40,40},	
	{255,255,255},	
	{107,247,206},	
	{206, 169, 96},	
	{192, 33, 56},	
  }
  
      -- predefined table of logo's
	  -- To add more, just make the logo in Magicavoxel as a seperate object
	  -- And then, add it to the list.
	 
  local logo =	  
  {
	"logo_woodchipper",
	"logo_none",	-- Empty, no logo choice
  }	  
	  
  -- get random color
  local color = colors[math.random(1,#colors)]
  
	-- get random logo
  local logoVar = logo[math.random(1,#logo)]
  
  -- set colors from random color
  local r = color[1]/255
  local g = color[2]/255
  local b = color[3]/255
  
    --set logo
  local logoPaint = logoVar
  
  -- create xml
local xml = ' \
		<vehicle name="Van (Survillance)" pos="-0.2 0.05 -0.1" rot="0.0 -180.0 0.0" sound="van" spring="0.5" damping="0.7" topspeed="55" acceleration="2" strength="4" antispin="1" antiroll="0.25" difflock="1"> \
			<body pos="-0.1 0.8 -0.4" dynamic="true"> \
				<vox pos="-0.05 -0.65 0.2" rot="0.0 180.0 0.0" density="1.2" strength="2" file="MOD/vox/vehicle_van_modern.vox" object="body"> \
					<light pos="0.95 1.2 -2.6" rot="0.0 -180.0 0.0" type="area" color="1 0.1 0.1" size="0.1 0.2" unshadowed="0.3" glare="0.2"/> \
					<light pos="0.95 1.0 -2.6" rot="0.0 -180.0 0.0" type="area" size="0.1 0.2" unshadowed="0.3"/> \
					<light pos="-0.85 1.2 -2.6" rot="0.0 -180.0 0.0" type="area" color="1 0.1 0.1" size="0.1 0.2" unshadowed="0.3" glare="0.2"/> \
					<light pos="-0.85 1.0 -2.6" rot="0.0 -180.0 0.0" type="area" size="0.1 0.2" unshadowed="0.3"/> \
					<light pos="-0.75 0.95 2.4" rot="0.0 0.0 0.0" type="cone" color="1 0.9 0.8" scale="20" penumbra="30" unshadowed="0.3" glare="0.3"/> \
					<light pos="0.85 0.95 2.4" rot="0.0 0.0 0.0" type="cone" color="1 0.9 0.8" scale="20" penumbra="30" unshadowed="0.3" glare="0.3"/> \
					<location tags="vital" pos="0.05 0.75 1.9" rot="0.0 -180.0 0.0"/> \
					<location tags="player" pos="0.5 1.6 0.85" rot="0.0 -180.0 0.0"/> \
					<location tags="exhaust" pos="-0.5 0.1 -2.5" rot="0.0 -180.0 0.0"/> \
					<voxbox pos="1.1 0.2 2.5" rot="0.0 -180.0 0.0" size="21 21 53" brush="MOD/Vox/vehicle_van_modern.vox" color = "'..r..' '..g..' '..b..'" object="accents_modern"/> \
					<voxbox pos="1.1 0.6 -0.9" rot="0.0 -180.0 0.0" size="21 17 19" brush="MOD/Vox/vehicle_van_modern.vox" object="'..logoPaint..'"/> \
				</vox> \
				<wheel name="fr" pos="0.75 -0.5 -1.55" drive="1" steer="1" travel="-0.1 0.2"> \
					<vox pos="0.1 -0.35 -0.05" rot="0.0 180.0 0.0" file="MOD/vox/vehicle_van_modern.vox" object="Wheel_FR"/> \
				</wheel> \
				<wheel name="fl" pos="-0.75 -0.5 -1.55" drive="1" steer="1" travel="-0.1 0.2"> \
					<vox pos="-0.2 -0.35 -0.05" rot="0.0 180.0 0.0" file="MOD/vox/vehicle_van_modern.vox" object="Wheel_FL"/> \
				</wheel> \
				<wheel name="br" pos="0.75 -0.5 1.85" drive="1" travel="-0.1 0.2"> \
					<vox pos="0.1 -0.35 -0.05" rot="0.0 180.0 0.0" file="MOD/vox/vehicle_van_modern.vox" object="Wheel_BR"/> \
				</wheel> \
				<wheel name="bl" pos="-0.75 -0.5 1.85" drive="1" travel="-0.1 0.2"> \
					<vox pos="-0.2 -0.35 -0.05" rot="0.0 180.0 0.0" file="MOD/vox/vehicle_van_modern.vox" object="Wheel_BL"/> \
				</wheel> \
			</body>   \
		</vehicle>'  
  -- spawn the thing
  Spawn(xml, locTrans)
end